Crystal Space: csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator Class Reference

Iterator for the Array<> class. More...

`#include <csutil/array.h>`

List of all members.

## Public Member Functions
bool | HasNext () const
| Returns true if the next Next() call will return an element.
| Iterator (Iterator const &r)
| Copy constructor.
T & | Next ()
| Returns the next element in the array.
Iterator & | operator= (Iterator const &r)
| Assignment operator.
void | Reset ()
| Reset the array to the first element.
## Protected Member Functions
| Iterator (csArray< T, ElementHandler > &newarray)
## Friends
class | csArray< T, ElementHandler >

## Detailed Description

### template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>
class csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator

Iterator for the Array<> class.

Definition at line 1098 of file array.h.

## Constructor & Destructor Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::Iterator | ( | Iterator const & | r | ) | `[inline]`

Copy constructor.

Definition at line 1102 of file array.h.

## Member Function Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

bool csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::HasNext | ( |  | ) | const`[inline]`

Returns true if the next Next() call will return an element.

Definition at line 1110 of file array.h.

References csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Length().

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

T& csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::Next | ( |  | ) | `[inline]`

Returns the next element in the array.

Definition at line 1114 of file array.h.

References csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Get().

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

Iterator& csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::operator= | ( | Iterator const & | r | ) | `[inline]`

Assignment operator.

Definition at line 1106 of file array.h.

References csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::array, and csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::currentelem.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

void csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::Reset | ( |  | ) | `[inline]`

Reset the array to the first element.

Definition at line 1118 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h